Subject: Re: linux-next: manual merge of the usb tree with the omap tree

From: Kevin Hilman <[email-masked]>
Date: Thu, 06 Jan 2011 10:38:59 -0800

Nishanth Menon <[email-masked]> writes:

> Kevin Hilman had written, on 01/06/2011 12:15 PM, the following:
>> Koen Kooi <[email-masked]> writes:
>>
>>> Op 6 jan 2011, om 16:43 heeft Brad Parker het volgende geschreven:
>>>
>>>> It's probably expected, but I can't get the EHCI USB port  to work
>>>> on a beagle board XM (36xx) using the current omap tree.
>>>>
>>>> It this most likely due to these clock issues?
>>> You need this patch: http://thread.gmane.org/gmane.linux.ports.arm.omap/47807/
>>>
>>> I'm currently too lazy to split it up like Nishant wants as I don't
>>> see the point splitting for the sake of splitting.--
>>
>> IMO, it doesn't need to be split up.
>>
>> But it does have to fix the other comments I made on the same thread[1]
>>
>> 1) add a descriptive changelog, and
>> 2) Cc linux-arm-kernel
>
> Kevin,
> there are four things being done in the patch:
> a) fix GPIO number for EHCI power on
> b) fix GPIO number for DVI reset line
> c) switch on DVI
> d) switch on Camera
>
> I have split the first 2 up. I just splitting the (c) up when I
> noticed the code is confusing - I will reply in thread to the original
> patch.
>
> I apologize, but I disagree - as far as I see it, these are separate
> changes being done.

Sure, but there are all tiny and isolated.  For me, what's missing is
just a changlog describing all the changes.

Feel free to break it up if you prefer, but IMO it would be mergable as
a single patch if there was a descriptive changelog actually mentioning 
all the changes made (as you just did above.)

Kevin